//
//  ConfirmationAlert.swift
//  PrettyGoodChat
//
//  Created by Alex Grinman on 12/6/14.
//  Copyright (c) 2014 alexgrinman. All rights reserved.
//

import Foundation
import UIKit

@objc(ConfirmationAlert) public class ConfirmationAlert:NSObject, UIAlertViewDelegate {
    
    
    public class func askConfirmationIn(viewController:UIViewController, title:String, text:String, accept:String, cancel:String, handler: ((confirmed:Bool) -> Void)) {
        
        var alertController:UIAlertController = UIAlertController(title: title, message: text, preferredStyle: UIAlertControllerStyle.Alert)
    
        
        alertController.addAction(UIAlertAction(title: accept, style: UIAlertActionStyle.Default, handler: { (action:UIAlertAction!) -> Void in
            
            handler(confirmed: true)
            
        }))
        
        alertController.addAction(UIAlertAction(title: cancel, style: UIAlertActionStyle.Cancel, handler: { (action:UIAlertAction!) -> Void in
            
            handler(confirmed: false)
            
        }))
        
        viewController.presentViewController(alertController, animated: true, completion: nil)
    }
    
    
}