//
//  GenerateView.swift
//  PrettyGoodChat
//
//  Created by Alex Grinman on 11/12/14.
//  Copyright (c) 2014 alexgrinman. All rights reserved.
//

import Foundation
import UIKit

@objc(GenerateView) public class GenerateView:UIView {
    
    let GEN_TITLE_LABEL = "Generating Keypair"    
    let DONE_GENERATING_LABEL = "Create a username:"
    
    @IBOutlet var titleLabel:UILabel?
    @IBOutlet var spinner:RTSpinKitView?

    required public init(coder aDecoder: NSCoder) {
        super.init(coder: aDecoder);
        self.backgroundColor = UIColor.flatTurquoiseColor()
        
        self.layer.cornerRadius = self.frame.size.width/2
        self.layer.masksToBounds = true
        
        self.spinner = RTSpinKitView(style: RTSpinKitViewStyle.StylePulse)
        self.spinner?.spinnerSize = 200
        self.spinner?.sizeToFit()
        self.spinner?.color = UIColor.flatPeterRiverColor()
        self.spinner?.startAnimating()
        
        self.spinner?.center = self.center
        self.addSubview(self.spinner!)
    }
    
    public func generatingFinished() {
        self.spinner?.stopAnimating()
        self.spinner?.hidden = true
        self.titleLabel?.text = DONE_GENERATING_LABEL
        self.removeFromSuperview()
    }
}