//
//  NSString+Additions.m
//  PrettyGoodChat
//
//  Created by Alex Grinman on 11/17/14.
//  Copyright (c) 2014 alexgrinman. All rights reserved.
//

#import "NSString+Additions.h"
#import <CommonCrypto/CommonCrypto.h>

@implementation NSString (Additions)

+ (NSString *) getFingerprintFromPublicKey:(NSData *) key {
    
    unsigned char value[16];
    CC_MD5(key.bytes, (UInt32)key.length, value);
    
    NSUInteger byteLength = 8;
    NSMutableString *stringValue = [NSMutableString stringWithCapacity:byteLength*2];
    NSInteger i;
    for (i = 0; i < byteLength; i++)
    {
        [stringValue appendFormat:@"%02x", value[i]];
    }
    
    return stringValue;
}

+ (NSString *)addSpacesToFingerprint:(NSString *)fingerprint {
    NSString *spacedFp = @"";
    
    int idx = 0;
    while (idx < fingerprint.length) {
        if (idx > 0 && idx != fingerprint.length - 1 && idx % 4 == 0) {
            spacedFp = [NSString stringWithFormat: @"%@ ", spacedFp];
        }
        spacedFp = [NSString stringWithFormat: @"%@%@", spacedFp, [fingerprint substringWithRange:NSMakeRange(idx, 1)]];
        
        idx++;
    }
    
    return spacedFp;
}

+ (NSString *)hexadecimalFromData: (NSData *) data {
    const unsigned char *dataBuffer = (const unsigned char *)[data bytes];
    
    if (!dataBuffer) {
        return [NSString string];
    }
    
    NSUInteger          dataLength  = [data length];
    NSMutableString     *hexString  = [NSMutableString stringWithCapacity:(dataLength * 2)];
    
    for (int i = 0; i < dataLength; ++i) {
        [hexString appendFormat:@"%02lx", (unsigned long)dataBuffer[i]];
    }
    
    return hexString;
}

@end
